package com.bonus.gs.sub.evaluate.evaluate.service;


import com.bonus.gs.sub.evaluate.evaluate.beans.EvalSummaryBean;
import com.bonus.gs.sub.evaluate.evaluate.beans.OutSourceBean;
import com.bonus.gs.sub.evaluate.evaluate.beans.auditOutsourcerBean;

import java.util.List;

/**
 * @author xliu
 * @date 2024/11/15 15:23
 */
public interface EvalSummaryService {

    /**
     * 新增评价汇总
     *
     * @param evaluateTitle 评价标题
     * @param date          评价时间
     * @param pathname      文件路径
     * @return AjaxRes
     */
    int addEvalSummary(String pathname, String date, String evaluateTitle, String evaluateDept);

    /**
     * 线下评价汇总列表
     * @param bean 查询条件
     * @return AjaxRes
     */
    List<OutSourceBean> getEvalSummaryList(EvalSummaryBean bean);

    List<OutSourceBean> getOfflineSummaryList(EvalSummaryBean bean);

    int deleteOffEvaluateById(String id);

    List<OutSourceBean> dedicatedEvalSummaryList(EvalSummaryBean bean);
}
